summaryrefslogtreecommitdiff
path: root/debian
diff options
context:
space:
mode:
authorTheodore Ts'o <tytso@mit.edu>2008-08-29 19:53:34 -0400
committerTheodore Ts'o <tytso@mit.edu>2008-08-29 20:03:03 -0400
commit26f29164a43f401cb1746e4f06312b7d70ee7d4a (patch)
tree591572c50d299288e89ad9166379c815049d4fd9 /debian
parenta700f5175ebbc2739153dabe934293cd214bd132 (diff)
downloade2fsprogs-26f29164a43f401cb1746e4f06312b7d70ee7d4a.tar.gz
debian: Fix postinstall scripts when the user/group is in LDAP
Addresses-Debian-Bug: #497010 Signed-off-by: "Theodore Ts'o" <tytso@mit.edu>
Diffstat (limited to 'debian')
-rw-r--r--debian/libuuid1.postinst7
-rw-r--r--debian/uuid-runtime.postinst4
2 files changed, 7 insertions, 4 deletions
diff --git a/debian/libuuid1.postinst b/debian/libuuid1.postinst
index 27ca2052..5336fcfd 100644
--- a/debian/libuuid1.postinst
+++ b/debian/libuuid1.postinst
@@ -24,9 +24,10 @@ if test -z "$LAST_SYSTEM_GID"; then
LAST_SYSTEM_GID=999
fi
-groupadd -f -K GID_MIN=$FIRST_SYSTEM_GID -K GID_MAX=$LAST_SYSTEM_GID libuuid
-
-if ! grep -q libuuid /etc/passwd; then
+if ! getent group | grep -q libuuid; then
+ groupadd -f -K GID_MIN=$FIRST_SYSTEM_GID -K GID_MAX=$LAST_SYSTEM_GID libuuid
+fi
+if ! getent passwd | grep -q libuuid; then
useradd -d /var/lib/libuuid -K UID_MIN=$FIRST_SYSTEM_UID -K UID_MAX=$LAST_SYSTEM_UID -g libuuid libuuid
fi
diff --git a/debian/uuid-runtime.postinst b/debian/uuid-runtime.postinst
index 36cd7b96..3c1adb63 100644
--- a/debian/uuid-runtime.postinst
+++ b/debian/uuid-runtime.postinst
@@ -1,8 +1,10 @@
#!/bin/sh
set -e
+if ! getent group | grep -q libuuid; then
groupadd -f -K GID_MIN=1 -K GID_MAX=999 libuuid
-if ! grep -q libuuid /etc/passwd; then
+fi
+if ! getent passwd | grep -q libuuid; then
useradd -d /var/lib/libuuid -K UID_MIN=1 -K UID_MAX=499 -g libuuid libuuid
fi
chown libuuid:libuuid /usr/sbin/uuidd